#include "include.h"
u8 u8_Uart_Rx_Data;
/*
BL08M003-Uart-Demo
注意：
1、仿真无法使用PA0/PA1  为通信IO口
2、RX  PB5  TX  PC0
*/
void main(void)
{
	////初始化函数 
	System_Int();
	
	UARTEN = 1;
	
	GIE = 1;   ///使能总中断

	while(1)
	{
//		asm("clrwdt");   ///注意WDT是否开启
		if(Flag_Uart_Rx_Data)
		{
			GIE = 0;
			
			SBUF = 0xAA;
			while(!TXIF);
			TXIF = 0;
			
			GIE = 1;
			Flag_Uart_Rx_Data = 0;
		}
	}
}
///中断服务函数
void interrupt Timer0_Isr(void)
{
	if(RXIF)
	{
		RXIF = 0;
		u8_Uart_Rx_Data = SBUF;
		Flag_Uart_Rx_Data = 1;
	}
}